Please support customization of ubiquity-slideshow through defaults builder

Bug #1035806 reported by Dylan McCall on 2012-08-12
8
This bug affects 1 person
Affects Status Importance Assigned to Milestone
ubiquity (Ubuntu)
Undecided
Unassigned
ubiquity-slideshow-ubuntu (Ubuntu)
Undecided
Unassigned
ubuntu-defaults-builder (Ubuntu)
Undecided
Unassigned

Bug Description

Many teams would like the ability to customize the installer slideshow, enhancing existing screenshots and slides with translations and special content.

At this point, ubiquity-slideshow supports customization with an optional directory located at /usr/share/ubiquity-slideshow/slides/extra. This directory contains any customized slides or screenshots, for any locales that are supported by Ubiquity, placed like the following:

extra/C/screenshots/usc.jpg
extra/it/gethelp.html
extra/it/screenshots/browse.jpg

This can be done easily enough by hand.
There is one other very important file which needs to be generated automatically: extra/directory.jsonp.

To complete this feature, we need to make it really easy for people to create the extra slides directory using defaults builder.

Related branches

CVE References

Changed in ubiquity-slideshow-ubuntu (Ubuntu):
status: New → Fix Committed
Dylan McCall (dylanmccall) wrote :

Oh, by the way, I'm happy to work on this, but if someone else just happens to be attached to it you can go ahead as well. (I'm not really a Perl person, so I wouldn't mind at all :b).

From the looks of it, it should be pretty straight-forward: we can have a ubiquity-slideshow folder in the defaults template that ends up as it is on the disk. The script will need to generate directory.jsonp based on what files have been added, and that should be it. It would be nice to have the extra directory in a package that only exists on the live cd (to save some space in the final install), but I get the impression that will need some features we don't currently have.

Launchpad Janitor (janitor) wrote :

This bug was fixed in the package ubiquity-slideshow-ubuntu - 59

---------------
ubiquity-slideshow-ubuntu (59) quantal; urgency=low

  [ Julien Lavergne ]
  * All: Update version to 12.10.
  * Lubuntu: Replacing Synaptic by Lubuntu-Software-Center (LP: #958880)
  * Lubuntu: Change the link to the mailing list

  [ Harald Sitter ]
  * Kubuntu: Remove reference to commercial support from Canonical

  [ Dylan McCall ]
  * Support slideshow customization with ubiquity-slideshow/extra folder
    (LP: #1035806)
  * Changed build script to use some Python internally.
  * New, tidier format for build directory.
  * Always access twitter over https and properly encode URLs received from
    the twitter feed. (LP: #991982)
  * CVE-2012-0956

  [ Stéphane Graber ]
  * Refresh translations from Launchpad
 -- Stephane Graber <email address hidden> Wed, 15 Aug 2012 12:41:27 -0400

Changed in ubiquity-slideshow-ubuntu (Ubuntu):
status: Fix Committed → Fix Released
Dylan McCall (dylanmccall) wrote :

Okay, the proposed merges should cover everything, and I will get to writing documentation as soon as it's released. This will be in the form of a tutorial on my blog, aggregated on Planet Ubuntu. Very shortly after that, it will be a wiki page.

The changes to ubiquity are _required_ for compatibility with the latest version of ubiquity-slideshow-ubuntu. (Translations will not be detected without these changes). The changes to ubuntu-defaults-builder are strictly new features — nothing is broken as it is.

It will be really great if we can get these both in for Beta 1 Freeze, or at least the Beta 1 release. That should give groups building custom ISOs enough time to prepare for the Quantal release, including time to file bugs regarding this feature (which could take a bit of effort to spot).

Launchpad Janitor (janitor) wrote :

This bug was fixed in the package ubuntu-defaults-builder - 0.35

---------------
ubuntu-defaults-builder (0.35) quantal; urgency=low

  [ Dylan McCall ]
  * Adding ubiquity-slideshow customization. (LP: #1035806).

  [ Dmitrijs Ledkovs ]
  * Specify source format "3.0 (native)"
  * Set DEBFULLNAME & DEBEMAIL for the test runner no avoid lintian errors.
  * test_ubiquity_slideshow: sort os.listdir before comparison
 -- Dmitrijs Ledkovs <email address hidden> Wed, 29 Aug 2012 09:05:16 +0100

Changed in ubuntu-defaults-builder (Ubuntu):
status: New → Fix Released
Dimitri John Ledkov (xnox) wrote :

The merge proposal has now closed itself.
In the ubuntu-defaults-builder, I had to modify the test-suite to sort os.listdir before comparing the values, since by default they are returned in an arbitrary order. Please check if that is OK.

Launchpad Janitor (janitor) wrote :

This bug was fixed in the package ubiquity - 2.11.24

---------------
ubiquity (2.11.24) quantal; urgency=low

  [ Dylan McCall ]
  * Tweaks to support ubiquity-slideshow's new file structure and parameter format (LP: #1035806)

  [ Dmitrijs Ledkovs ]
  * Automatic update of included source packages: netcfg 1.68ubuntu16.
 -- Dmitrijs Ledkovs <email address hidden> Tue, 28 Aug 2012 18:07:08 +0100

Changed in ubiquity (Ubuntu):
status: New → Fix Released
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers